﻿Copyright (c) (2013) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TDS 540A,544A (1 yr) VER IEEE /9500/600+4Hd
DATE:                  2013-11-19 11:24:12
AUTHOR:                Fluke
REVISION:              $Revision: 18972 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       225
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        Tektronix Tektronix TDS 520A, 524A, 540A, & 544A Digitizing Oscilloscopes
#        Performance Verification, Part No. 070-8712-01
#
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1V             LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1V             LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1V             LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1V             LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            F        V

  1.012  IF           NOT(VERSIONCHECK("7.3.38"))
  1.013  END
  1.014  ENDIF

  1.015  CALL         Sub Display Copyright
  1.016  CALL         Sub High Voltage Safety Warning

  1.017  HEAD         PRELIMINARY INSTRUCTIONS
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Guardbanding & Ver Method

  1.020  DISP         Ensure a minimum UUT warm-up time of at least
  1.020  DISP         20 minutes has been allowed to elapse, prior
  1.020  DISP         to beginning verification.

  1.021  HEAD         UUT IDENTIFICATION
  1.022  TARGET
  1.023  CALL         Sub TDS500/600/700 Setup IEEE
  1.024  IEEE2        *RST;DESE 61
  1.025  WAIT         -t 4 System Initializing ...

  1.026  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.027  MATH         @UUT_AssetNum      = UUT()

  1.028  IF           NOT(EMPTY(@UUT_AssetNum))
  1.029  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.030  ENDIF

  1.031  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.032  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.033  IF           @Abort
  1.034  END
  1.035  ENDIF

  1.036  HEAD         EQUIPMENT REQUIREMENTS
  1.037  OPBR         -z Do you want to REVIEW the list of additional
  1.037  OPBR         equipment and/or accessories required?

  1.038  IF           MEM1
  1.039  DISP         The following additional equipment and/or accessories
  1.039  DISP         are required:
  1.039  DISP
  1.039  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.039  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.039  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.039  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.039  DISP         - Dual Input Coupler (BNC)
  1.039  DISP         - 50 Ohm Feedthrough (BNC)
  1.040  ENDIF

  1.041  CALL         Sub TDS500A Specifications
  1.042  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.043  JMPL         END                          @Abort
  1.044  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.045  JMPL         END                          @Abort

  1.046  MATH         @SourceChanNum = 4

  1.047  MATH         @Chan = 1
  1.048  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.049  MATH         @Chan = 2
  1.050  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.051  MATH         @Chan = 3
  1.052  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.053  MATH         @Chan = 4
  1.054  CALL         Sub TDS500A (1 yr) DC Offset IEEE

  1.055  MATH         @Chan = 1
  1.056  M9500                       CH1
  1.057  CALL         Sub TDS54xA (1 yr) DCV Meas Acc IEEE /9500
  1.058  MATH         @Chan = 2
  1.059  M9500                       CH2
  1.060  CALL         Sub TDS54xA (1 yr) DCV Meas Acc IEEE /9500
  1.061  MATH         @Chan = 3
  1.062  M9500                       CH3
  1.063  CALL         Sub TDS54xA (1 yr) DCV Meas Acc IEEE /9500
  1.064  MATH         @Chan = 4
  1.065  M9500                       CH4
  1.066  CALL         Sub TDS54xA (1 yr) DCV Meas Acc IEEE /9500

  1.067  MATH         @Chan = 1
  1.068  M9500                       CH1
  1.069  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.070  MATH         @Chan = 2
  1.071  M9500                       CH2
  1.072  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.073  MATH         @Chan = 3
  1.074  M9500                       CH3
  1.075  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.076  MATH         @Chan = 4
  1.077  M9500                       CH4
  1.078  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /9500/600
  1.079  JMPL         TIMEBASE_TRIGGER

  1.080  LABEL        DELAY_MATCH
  1.081  MATH         @Chan = 1
  1.082  M9500                       CH1
  1.083  CALL         Sub TDS500A (1 yr) Delay Match IEEE /9500
  1.084  JMPL         OUTPUT_SIGNAL

  1.085  LABEL        TIMEBASE_TRIGGER
  1.086  MATH         @Chan = 1
  1.087  M9500                       CH1
  1.088  CALL         Sub TDS500A (1 yr) Time Base IEEE /9500
  1.089  CALL         Sub TDS52xA/54xA (1 yr) Delta Time IEEE /9500
  1.090  CALL         Sub TDS500A (1 yr) Trig Time Acc IEEE /9500
  1.091  CALL         Sub TDS52xA/54xA (1 yr) Trig Level Acc IEEE /9500

  1.092  MATH         @Chan = 1
  1.093  M9500                       CH1
  1.094  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.095  OPBR         -z Each channel trig sensitivity test will take about
  1.095  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.095  OPBR         channels to save time, unless desired.
  1.095  OPBR
  1.095  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.095  OPBR         3, and 4?
  1.096  MATH         @TestCh234Sens = MEM1
  1.097  JMPL         MAIN_TRIG_SENS_CH2

  1.098  LABEL        AUX_TRIG_IN
  1.099  MATH         @Chan = 1
  1.100  M9500                       CH14
  1.101  CALL         Sub TDS510A/54xA (1 yr) Aux Trig In Sens IEEE /9500+2Hd
  1.102  JMPL         DELAY_MATCH

  1.103  LABEL        MAIN_TRIG_SENS_CH2

  1.104  IF           @TestCh234Sens
  1.105  MATH         Time = 3 * @OptChSensTime
  1.106  DISP         The next routine operator intervention occurs
  1.106  DISP         in approximately [V Time] minutes...
  1.107  MATH         @Chan = 2
  1.108  M9500                       CH2
  1.109  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.110  MATH         @Chan = 3
  1.111  M9500                       CH3
  1.112  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.113  MATH         @Chan = 4
  1.114  M9500                       CH4
  1.115  CALL         Sub TDS500A (1 yr) Sens IEEE /9500/600
  1.116  ENDIF

  1.117  JMPL         AUX_TRIG_IN

  1.118  LABEL        OUTPUT_SIGNAL
  1.119  M9500                       CH1
  1.120  CALL         Sub TDS510A/54xA (1 yr) Output Signal IEEE /9500

  1.121  M9500                       CH1
  1.122  CALL         Sub TDS500A (1 yr) Probe Comp IEEE /9500

  1.123  LABEL        END
  1.124  IEEE2        *RST;DESE 61

  1.125  IF           @Abort
  1.126  DISP         V E R I F I C A T I O N   A B O R T E D
  1.127  ENDIF

  1.128  END
